#!/bin/sh

# build depends 
tce-load -i compiletc submitqc4 wget bash perl5
tce-load -i intltool gtk2-dev udev-dev libstartup-notification-dev

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"

# download and unpack stuff
cd /tmp
/usr/local/bin/wget -nc https://github.com/IgnorantGuru/spacefm/tarball/master --no-check-certificate
tar xzf master

# shorten unpack name
mv IgnorantGuru-spacefm-e6dd4b4/ ssrc

# build as per wiki
cd ssrc
./configure --prefix=/usr/local
make -j3
make DESTDIR=/tmp/SpaceFM install


# each package will get AUTHORS as multiple upstream contributors 

# locale 
########
cd /tmp
mkdir -p SpaceFM-locale/usr/local/share/doc/SpaceFM-locale
mv SpaceFM/usr/local/share/locale SpaceFM-locale/usr/local

cp -f ssrc/AUTHORS SpaceFM-locale/usr/local/share/doc/SpaceFM-locale/ 

mksquashfs SpaceFM-locale SpaceFM-locale.tcz
md5sum SpaceFM-locale.tcz > SpaceFM-locale.tcz.md5.txt
cd SpaceFM-locale
find usr -not -type d > SpaceFM-locale.tcz.list
mv -f SpaceFM-locale.tcz.list /tmp


# doc 
#####
cd /tmp
mkdir -p SpaceFM-doc/usr/local/share
mv SpaceFM/usr/local/share/doc SpaceFM-doc/usr/local/share
# needs rename to maintain name structure
mv SpaceFM-doc/usr/local/share/doc/spacefm/ SpaceFM-doc/usr/local/share/doc/SpaceFM

cp -f ssrc/AUTHORS SpaceFM-doc/usr/local/share/doc/SpaceFM

mksquashfs SpaceFM-doc SpaceFM-doc.tcz
md5sum SpaceFM-doc.tcz > SpaceFM-doc.tcz.md5.txt
cd SpaceFM-doc
find usr -not -type d > SpaceFM-doc.tcz.list
mv -f SpaceFM-doc.tcz.list /tmp


### start adjustments for main tcz
##################################

# rename desktops to SpaceFM from all lower case
cd /tmp
mv SpaceFM/usr/local/share/applications/spacefm-find.desktop SpaceFM/usr/local/share/applications/SpaceFM-find.desktop
mv SpaceFM/usr/local/share/applications/spacefm-folder-handler.desktop SpaceFM/usr/local/share/applications/SpaceFM-folder-handler.desktop
mv SpaceFM/usr/local/share/applications/spacefm.desktop SpaceFM/usr/local/share/applications/SpaceFM.desktop

# each desktop entry needs full icon path 

echo 'X-FullPathIcon=/usr/local/share/icons/Faenza/apps/48/spacefm-find.png' >> SpaceFM/usr/local/share/applications/SpaceFM-find.desktop
echo 'X-FullPathIcon=/usr/local/share/icons/Faenza/apps/48/spacefm-root.png' >> SpaceFM/usr/local/share/applications/SpaceFM-folder-handler.desktop
echo 'X-FullPathIcon=/usr/local/share/icons/Faenza/apps/48/spacefm.png' >>      SpaceFM/usr/local/share/applications/SpaceFM.desktop

# post install update icon cache 
mkdir -p SpaceFM/usr/local/tce.installed/

echo '#!/bin/sh' >                                                      SpaceFM/usr/local/tce.installed/SpaceFM  
echo 'gtk-update-icon-cache -q -t -f /usr/local/share/icons/hicolor' >> SpaceFM/usr/local/tce.installed/SpaceFM 
echo 'gtk-update-icon-cache -q -t -f /usr/local/share/icons/Faenza'  >> SpaceFM/usr/local/tce.installed/SpaceFM 

# Don't test for dbus in post install script KISS mention it in INFO file instead 
# if dbus is not running they lose automount only ...no big deal                                                          

# post install script needs permissions set 
sudo chown -R root:staff SpaceFM/usr/local/tce.installed
sudo chmod -R 775 SpaceFM/usr/local/tce.installed

mkdir -p SpaceFM/usr/local/share/doc/SpaceFM
cp -f ssrc/AUTHORS SpaceFM/usr/local/share/doc/SpaceFM/

# end of adjustments 
####################

# SpaceFM
cd /tmp

mksquashfs SpaceFM SpaceFM.tcz
md5sum SpaceFM.tcz > SpaceFM.tcz.md5.txt
cd SpaceFM
find usr -not -type d > SpaceFM.tcz.list
mv -f SpaceFM.tcz.list /tmp

# finish off
cd /tmp
sudo submitqc4
